# # CanvasLayer

## # Props

All common layers props

### # `source`

- Type: `Object | String`
- Non-Synced
- Description: A data source containing video.
- See: `Video source` in Mapbox API Docs
  (opens new window)

Reactivity

`coordinates` field of the `source` prop is reactive. If you change it's value, changes automatically applied to the map.

## # Computed getters

### # `video`

- Description Returns the HTML video element.
- See `.getVideo()` method
  (opens new window)